;****************************************
; General
;****************************************

; Description
; A drush makefile for Drupal modules.

; drush make API version
api = 2

; Drupal core
core = 6.x

;****************************************
; Modules
;****************************************

;projects[ckeditor][version] = 1.14
libraries[kplatforms_ckeditor][directory_name] = ckeditor
libraries[kplatforms_ckeditor][download][type] = svn
libraries[kplatforms_ckeditor][download][url] = http://svn.ckeditor.com/CKEditor/releases/stable/

;projects[fckeditor][version] = 2.3
libraries[kplatforms_fckeditor][directory_name] = fckeditor
libraries[kplatforms_fckeditor][download][type] = svn
libraries[kplatforms_fckeditor][download][url] = http://svn.fckeditor.net/FCKeditor/releases/stable/

;projects[geshifilter][version] = 1.5
libraries[kplatforms_geshi][directory_name] = geshi
libraries[kplatforms_geshi][download][type] = get
libraries[kplatforms_geshi][download][url] = https://github.com/GeSHi/geshi-1.0/archive/RELEASE_1_0_8_11.tar.gz
libraries[kplatforms_geshi][download][subtree] = geshi-1.0-RELEASE_1_0_8_11/src
; GeSHi Puppet language definition
libraries[kplatforms_geshi_puppet][destination] = libraries/geshi
libraries[kplatforms_geshi_puppet][directory_name] = geshi
libraries[kplatforms_geshi_puppet][download][type] = get
libraries[kplatforms_geshi_puppet][download][url] = https://raw.github.com/jasonhancock/geshi-language-files/7fd7a709d857f74b78d42990a2381a45eeb93429/puppet.php
libraries[kplatforms_geshi_puppet][overwrite] = TRUE

;projects[getid3][version] = 1.5
libraries[kplatforms_getid3][directory_name] = getid3
libraries[kplatforms_getid3][download][type] = get
libraries[kplatforms_getid3][download][url] = https://www.drupal.org/files/issues/getid3-1.9.1-20110810.zip
; Removing "demos" directory from getID3 library
; http://drupal.org/node/1516228#comment-5831630
; If this patch does not work anymore on a new version of the library, we should rebuild it.
libraries[kplatforms_getid3][patch][1516228] = http://drupal.org/files/getid3-library-rm-demos-1516228.patch

;projects[gmap][version] = 2.0-beta5
libraries[kplatforms_clusterer2_js][destination] = modules/contrib/gmap
libraries[kplatforms_clusterer2_js][directory_name] = thirdparty
libraries[kplatforms_clusterer2_js][download][type] = get
libraries[kplatforms_clusterer2_js][download][url] = http://www.acme.com/javascript/Clusterer2.js
libraries[kplatforms_clusterer2_js][overwrite] = TRUE

;projects[htmlpurifier][version] = 2.4
libraries[kplatforms_htmlpurifier][directory_name] = htmlpurifier
libraries[kplatforms_htmlpurifier][download][type] = git
libraries[kplatforms_htmlpurifier][download][url] = git://repo.or.cz/htmlpurifier.git

;projects[jquery_ui][version] = 1.5
libraries[kplatforms_jqueryui][directory_name] = jquery.ui
libraries[kplatforms_jqueryui][download][type] = get
libraries[kplatforms_jqueryui][download][url] = http://jquery-ui.googlecode.com/files/jquery-ui-1.7.3.zip

;projects[phpass][version] = 2.0
libraries[kplatforms_passwordhash_php][destination] = modules/contrib
libraries[kplatforms_passwordhash_php][directory_name] = phpass
libraries[kplatforms_passwordhash_php][download][type] = get
libraries[kplatforms_passwordhash_php][download][url] = http://cvsweb.openwall.com/cgi/cvsweb.cgi/~checkout~/projects/phpass/PasswordHash.php
libraries[kplatforms_passwordhash_php][overwrite] = TRUE

;projects[phpmailer][version] = 3.1
libraries[kplatforms_phpmailer][directory_name] = phpmailer
libraries[kplatforms_phpmailer][download][type] = get
libraries[kplatforms_phpmailer][download][url] = https://github.com/PHPMailer/PHPMailer/archive/phpmailer-5.1.tar.gz

;projects[print][version] = 1.19
libraries[kplatforms_dompdf][directory_name] = dompdf
libraries[kplatforms_dompdf][download][type] = svn
libraries[kplatforms_dompdf][download][url] = http://dompdf.googlecode.com/svn/trunk/dompdf/
libraries[kplatforms_tcpdf][directory_name] = tcpdf
libraries[kplatforms_tcpdf][download][type] = git
#libraries[kplatforms_tcpdf][download][url] = git://tcpdf.git.sourceforge.net/gitroot/tcpdf/tcpdf
libraries[kplatforms_tcpdf][download][url] = https://github.com/tcpdf-clone/tcpdf

;projects[rdf][version] = 1.0-alpha8
libraries[kplatforms_arc2][directory_name] = arc
libraries[kplatforms_arc2][download][type] = git
libraries[kplatforms_arc2][download][url] = git://github.com/semsol/arc2.git

;projects[views_slideshow][version] = 2.4
libraries[kplatforms_jquery_cycle][directory_name] = jquery.cycle
libraries[kplatforms_jquery_cycle][download][filename] = jquery.cycle.all.min.js
libraries[kplatforms_jquery_cycle][download][type] = get
libraries[kplatforms_jquery_cycle][download][url] = https://raw.github.com/malsup/cycle/master/jquery.cycle.all.js

;projects[wysiwyg][version] = 2.4
libraries[kplatforms_tinymce][directory_name] = tinymce
libraries[kplatforms_tinymce][download][type] = get
libraries[kplatforms_tinymce][download][url] = https://github.com/downloads/tinymce/tinymce/tinymce_3.4.9_jquery.zip
;libraries[kplatforms_tinymce_fr][directory_name] = tinymce
;libraries[kplatforms_tinymce_fr][download][type] = get
;libraries[kplatforms_tinymce_fr][download][url] = http://www.tinymce.com/i18n3x/index.php%3Fctrl%3Dexport%26act%3Dzip%26la%5B%5D%3Dfr%26pr_id%3D7%26la_export%3Djs
;libraries[kplatforms_tinymce_fr][overwrite] = TRUE
; ^
; "[overwrite] = TRUE" for zip file with Drush 5 overwrites instead of merging as in Drush make 2.3
; https://drupal.org/node/2131945

;****************************************
; End
;****************************************
